Skip to main content
GET
Fetch a charging key order

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

orderId
string
required

ID of the order to fetch

Response

OK

A single EMP charging key order, including the charging keys of its manufactured cards.

id
string
required

Unique identifier of the order product.

Example:

"aYnky297eG"

address
object
required

Delivery address for this order product.

quantity
number
required

Number of product units ordered.

Example:

1

language
string
required

Language used for order communication.

Example:

"en"

product
object
required

Ordered product code or type.

created
string<date-time>
required

UTC timestamp when this product order was created.

Example:

"2023-06-26T10:00:00Z"

organizationId
string
required

Identifier of the organization that placed the order.

Example:

"JoEl1xoP7r"

status
enum<string>
required

Current processing status of the order product.

Available options:
WAITING_FOR_ORDER,
ORDER_PLACED,
ORDER_PROCESSING,
ORDER_ASSIGNED,
ORDER_PAID,
ORDER_CANCELLED,
ORDER_CANCELLING,
ORDER_PAYMENT_FAILED,
ORDER_REFUND_FAILED,
ORDER_WAITING_REFUND,
ORDER_REFUNDED,
PAYMENT_ONGOING,
ORDER_FILLED,
ORDER_PAYED,
PREPARE_RECEIPT,
ORDER_PAYED_WITHOUT_RECEIPT
Example:

"ORDER_PAID"

updated
string<date-time>
required

UTC timestamp when this product order was last updated.

Example:

"2023-06-26T12:00:00Z"

printing
object

Printing details associated with the order product. Present only for orders that include physical card customization.

chargingKeys
object[]

Charging keys of the cards manufactured for this order. Omitted until the first card has been manufactured.